<template>
<v-flex xs12 sm5 md3 mb-3 mx-3>
  <v-card hover :to="to">
    <v-container class="text-xs-center white--text" fluid pa-0 pt-3 :style="{ background: this.bg }">
      <v-img
        class="mb-1"
        :src="icon"
        :height="logoHeight"
        contain
        >
        <v-layout
          align-end
          fill-height
          px-0
          white--text
          >
        </v-layout>
      </v-img>
      <div class="pa-2 text-xs-left font-weight-light" style="background-color:rgba(0,0,0,0.4)">
        <v-card-text>
          <div class="title">{{title}}</div>
          <slot></slot>
        </v-card-text>
        <v-card-actions>
          <v-btn :to="to" text color="white">{{btncaption}}</v-btn>
        </v-card-actions>
      </div>
      <!-- <div class="headline mt-1" style="background-color:rgba(0,0,0,0.3)">{{title}}</div> -->
    </v-container>

    <!-- <v-card-title primary-title> -->
    <!-- </v-card-title> -->
  </v-card>
</v-flex>
</template>


<script>
export default {
  computed: {
    btncaption() {
      return 'Подробнее...';
      // if (this.details) {
      //   return this.details;
      // }
      // return `Подробнее про ${this.title}...`;
    },
  },
  data: () => ({
    logoHeight: 128,
  }),
  props: {
    title: String,
    icon: String,
    desc: String,
    to: String,
    bg: String,
    details: String,
  },
};
</script>
